/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package asistencia.dao;

import asistencia.sqlserverdao.SqlServerDAOFactory;



/**
 *
 * @author sistem08user
 */
public abstract class DAOFactory{

  public static final int MYSQL = 1;
  public static final int ORACLE = 2;
  public static final int DB2 = 3;
  public static final int SQLSERVER = 4;
  public static final int XML = 5;

  public static DAOFactory getFactory(int BD) {
    switch (BD) {
//      case MYSQL:
//        return new MysqlDAOFactory();
//      
        case SQLSERVER:
          return new SqlServerDAOFactory();
        /*case ORACLE:
          return new OracleDAOFactory();
        case DB2:
          return new Db2DAOFactory();
        case SQLSERVER:
          return new SqlServerDAOFactory();
        case XML:
          return new XmlDAOFactory();
       */
      default:
        return null;
    }
  }

  // CREAR NUESTRO ABSTRACTO PARA LA CONEXION AL SERVICE    

}
